#!/usr/bin/env bash
# Wed 21 Sep 2016 13:08:05 CEST

source $(dirname ${0})/functions.sh

# Uploads all the built packages
for os in "osx-64" "noarch" "linux-64"; do
  for f in ${CONDA_ENVS_PATH}/${os}/*.tar.bz2; do
    if [[ -f $f ]]; then
      if [ -z "${CI_COMMIT_TAG}" ]; then #beta
        dav_upload "${f}" "private-upload/conda/${os}/"
      else
        dav_upload "${f}" "public-upload/conda/label/main/${os}/"
      fi
    fi
  done
done

# upload the docs from the sphinx folder (usually an artifact of Linux Python
# 3.6 builds)
for folder in "${DOC_UPLOADS[@]}"; do
  dav_upload_folder sphinx "${folder}"
done

# # Deletes all the old packages if in beta
# if [ -z "${CI_COMMIT_TAG}" ]; then #beta
#     for urls in _ci/*/*/build_number.txt; do
#         for url in `tail -n +2 $urls`; do
#             dav_delete "private-upload/conda${url}"
#         done
#     done
# fi
